<?php

    $manifest =array(
        'acceptable_sugar_flavors' => array('CE','PRO','CORP','ENT','ULT'),
        'acceptable_sugar_versions' => array(
            'exact_matches' => array(),
	        'regex_matches' => array(
	            0 => '9\\.0\\.(.*?)',
	            1 => '10\\.0\\.(.*?)',
	        ),
        ),
        'author' => 'Amelia Middleton',
        'description' => 'Installs a credit custom fields',
        'icon' => '',
        'is_uninstallable' => true,
        'name' => 'Credit Custom Field Installer',
        'published_date' => '2020-07-24 12:06:00',
        'type' => 'module',
        'version' => '1',
		'remove_tables' => 'prompt',
    );
    
    $installdefs =array(
        'id' => 'package_credit_custom_fields',
        'language'=> array (
			array(
				'from'=> '<basepath>/Files/Language/Accounts/credit.en_us.lang.php',
				'to_module'=> 'Accounts',
				'language'=>'en_us'
			),
			array(
				'from'=> '<basepath>/Files/Language/Campaigns/credit.en_us.lang.php',
				'to_module'=> 'Campaigns',
				'language'=>'en_us'
			),
			array(
				'from'=> '<basepath>/Files/Language/Contacts/credit.en_us.lang.php',
				'to_module'=> 'Contacts',
				'language'=>'en_us'
			),
			array(
				'from'=> '<basepath>/Files/Language/Leads/credit.en_us.lang.php',
				'to_module'=> 'Leads',
				'language'=>'en_us'
			),
		),
		'custom_fields'=>array (

		    //Account Credit Fields
// Accounts
		    array(
		        'name' => 'notify_email_c',
		        'label' => 'LBL_NOTIFY_EMAIL_C',
		        'type' => 'bool',
		        'module' => 'Accounts',
		        'default_value' => true, // true or false
		        'help' => '',
		        'comment' => '',
		        'audited' => false, // true or false
		        'mass_update' => false, // true or false
		        'duplicate_merge' => false, // true or false
		        'reportable' => true, // true or false
		        'importable' => 'true', // 'true', 'false' or 'required'
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'toll_free_phone_c',
		        'label' => 'LBL_TOLL_FREE_PHONE_C',
		        'type' => 'phone',
		        'module' => 'Accounts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
		    ),


			array(
				'name' => 'grad_month_c',
				'label' => 'LBL_GRAD_MONTH_C',
				'type' => 'enum',
				'module' => 'Accounts',
				'help' => '',
				'comment' => '',
				'ext1' => 'grad_month_c_list', //maps to options - specify list name
				'default_value' => 'December', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
		    array(
		        'name' => 'grad_year_c',
		        'label' => 'LBL_GRAD_YEAR_C',
		        'type' => 'varchar',
		        'module' => 'Accounts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => false,
				),
		    ),
		    array(
		        'name' => 'sbgi_code_c',
		        'label' => 'LBL_SBGI_CODE',
		        'type' => 'varchar',
		        'module' => 'Accounts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => false,
				),
				'dependency' => 'or(equal($account_type,"School"),equal($account_type,"College"))', 

		    ),
		    array(
		        'name' => 'total_attendees_c',
		        'label' => 'LBL_TOTAL_ATTENDEES_C',
		        'type' => 'int',
		        'module' => 'Campaigns',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => false,
				),
		    ),

		    array(
		        'name' => 'high_school_c',
		        'label' => 'LBL_HIGH_SCHOOL_C',
		        'type' => 'relate',
		        'module' => 'Campaigns',
				'ext1' => 'Accounts',
				'ext2' => 'account_id_c',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),



			array(
				'name' => 'seekingobjective_c',
				'label' => 'Objective',
				'labelValue' => 'Objective',
				'type' => 'enum',
				'module' => 'Contacts',
				'help' => 'Select goal student is seeking',
				'comment' => 'Goal Student is seeking',
				'ext1' => 'account_changes_status_list', //maps to options - specify list name
				'default_value' => 'In_Review', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'grad_month_c',
				'label' => 'LBL_GRAD_MONTH_C',
				'type' => 'enum',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'ext1' => 'grad_month_c_list', //maps to options - specify list name
				'default_value' => 'December', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
		    array(
		        'name' => 'grad_year_c',
		        'label' => 'LBL_GRAD_YEAR_C',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => false,
				),
		    ),
			array(
				'name' => 'levad_veteran_status_c',
				'label' => 'LBL_LEVAD_VETERAN_STATUS',
				'labelValue' => 'Veteran Status',
				'type' => 'multienum',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'ext1' => 'levad_veteran_status_list', //maps to options - specify list name
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
		    array(
		        'name' => 'parent_1_address',
		        'label' => 'LBL_PARENT_1_ADDRESS',
				'labelValue' => 'Parent 1 Address',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_address_city_c',
		        'label' => 'LBL_PARENT_1_ADDRESS_CITY',
				'labelValue' => 'Parent 1 City',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_address_county_c',
		        'label' => 'LBL_PARENT_1_ADDRESS_COUNTRY',
				'labelValue' => 'Parent 1 County',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_address_postalcode_c',
		        'label' => 'LBL_PARENT_1_ADDRESS_POSTALCODE_C',
				'labelValue' => 'Parent 1 PostalCode',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 20,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_address_state_c',
		        'label' => 'LBL_PARENT_1_ADDRESS_STATE_C',
				'labelValue' => 'Parent 1 State',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_email_c',
		        'label' => 'LBL_PARENT_1_EMAIL_C',
				'labelValue' => 'Parent 1 Email',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_first_name_c',
		        'label' => 'LBL_PARENT_1_FIRST_NAME_C',
				'labelValue' => 'Parent 1 First Name',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_last_name_c',
		        'label' => 'LBL_PARENT_1_LAST_NAME_C',
				'labelValue' => 'Parent 1 Last Name',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_phone_c',
		        'label' => 'LBL_PARENT_1_PHONE_C',
				'labelValue' => 'Parent 1 Phone',
		        'type' => 'Phone',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
	//1 Contacts
		    array(
		        'name' => 'parent_2_address',
		        'label' => 'LBL_PARENT_2_ADDRESS',
				'labelValue' => 'Parent 2 Address',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_address_city_c',
		        'label' => 'LBL_PARENT_2_ADDRESS_CITY',
				'labelValue' => 'Parent 2 City',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_address_county_c',
		        'label' => 'LBL_PARENT_2_ADDRESS_COUNTRY',
				'labelValue' => 'Parent 2 City',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_address_postalcode_c',
		        'label' => 'LBL_PARENT_2_ADDRESS_POSTALCODE_C',
				'labelValue' => 'Parent 2 PostalCode',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 20,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_address_state_c',
		        'label' => 'LBL_PARENT_2_ADDRESS_STATE_C',
				'labelValue' => 'Parent 2 State',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_email_c',
		        'label' => 'LBL_PARENT_2_EMAIL_C',
				'labelValue' => 'Parent 2 Email',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_first_name_c',
		        'label' => 'LBL_PARENT_2_FIRST_NAME_C',
				'labelValue' => 'Parent 2 First Name',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_last_name_c',
		        'label' => 'LBL_PARENT_2_LAST_NAME_C',
				'labelValue' => 'Parent 2 Last Name',
		        'type' => 'varchar',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_phone_c',
		        'label' => 'LBL_PARENT_2_PHONE_C',
				'labelValue' => 'Parent 2 Phone',
		        'type' => 'Phone',
		        'module' => 'Contacts',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
			array(
				'name' => 'parenthavedegree_c',
				'label' => 'LBL_PARENTHAVEDEGREE_C',
				'labelValue' => 'At least one parent has a degree.',
				'type' => 'bool',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'audited' => false, // true or false
				'mass_update' => false, // true or false
				'duplicate_merge' => false, // true or false
				'reportable' => true, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
			),
			array(
				'name' => 'constituent_ethnicity_c',
				'label' => 'LBL_CONSTITUENT_ETHNICITY',
				'labelValue' => 'Ethnicity',
				'type' => 'enum',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'ext1' => 'constituent_ethnicity_list', //maps to options - specify list name
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'constituent_gender_c',
				'label' => 'LBL_CONSTITUENT_GENDER',
				'labelValue' => 'Gender',
				'type' => 'enum',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'default' => 'N',
				'ext1' => 'constituent_gender_list', //maps to options - specify list name
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'enroll_term_c',
				'vname' => 'LBL_ENROLL_TERM_C',
				'label' => 'LBL_ENROLL_TERM_C',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => 'Field is automatically filled with the Enroll Term',
				'comment' => 'Enroll Term',
				'default_value' => '',
				'max_size' => 6,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'false', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'source' => 'custom_fields'
			),
			array(
				'name' => 'enroll_term_online_c',
				'vname' => 'LBL_ENROLL_TERM_ONLINE_C',
				'label' => 'LBL_ENROLL_TERM_ONLINE_C',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => 'Field is automatically filled with the Online Enroll Term',
				'comment' => 'Online Enroll Term',
				'default_value' => '',
				'max_size' => 6,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'false', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'source' => 'custom_fields'
			),
			array(
				'name' => 'enroll_term2_c',
				'vname' => 'LBL_ENROLL_TERM2_C',
				'label' => 'LBL_ENROLL_TERM2_C',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => 'Field is automatically filled with the Enroll Term',
				'comment' => 'Enroll Term 2',
				'default_value' => '',
				'max_size' => 6,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'false', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'source' => 'custom_fields'
			),
			array(
				'name' => 'enroll_term_online2_c',
				'vname' => 'LBL_ENROLL_TERM_ONLINE2_C',
				'label' => 'LBL_ENROLL_TERM_ONLINE2_C',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => 'Field is automatically filled with the Online Enroll Term',
				'comment' => 'Online Enroll Term 2',
				'default_value' => '',
				'max_size' => 6,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'false', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'source' => 'custom_fields'
			),
			array(
				'name' => 'enroll_term3_c',
				'vname' => 'LBL_ENROLL_TERM3_C',
				'label' => 'LBL_ENROLL_TERM3_C',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => 'Field is automatically filled with the Enroll Term',
				'comment' => 'Enroll Term 3',
				'default_value' => '',
				'max_size' => 6,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'false', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'source' => 'custom_fields'
			),
			array(
				'name' => 'enroll_term_online3_c',
				'vname' => 'LBL_ENROLL_TERM_ONLINE3_C',
				'label' => 'LBL_ENROLL_TERM_ONLINE3_C',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => 'Field is automatically filled with the Online Enroll Term',
				'comment' => 'Online Enroll Term 3',
				'default_value' => '',
				'max_size' => 6,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'false', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'source' => 'custom_fields'
			),
			array(
				'name' => 'enroll_term4_c',
				'vname' => 'LBL_ENROLL_TERM4_C',
				'label' => 'LBL_ENROLL_TERM4_C',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => 'Field is automatically filled with the Enroll Term',
				'comment' => 'Enroll Term 4',
				'default_value' => '',
				'max_size' => 6,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'false', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'source' => 'custom_fields'
			),
			array(
				'name' => 'enroll_term_online4_c',
				'vname' => 'LBL_ENROLL_TERM_ONLINE4_C',
				'label' => 'LBL_ENROLL_TERM_ONLINE4_C',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => 'Field is automatically filled with the Online Enroll Term',
				'comment' => 'Online Enroll Term 4',
				'default_value' => '',
				'max_size' => 6,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'false', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'source' => 'custom_fields'
			),
			
///Leads for Custom Credit Fields
			array(
				'name' => 'parenthavedegree_c',
				'label' => 'LBL_PARENTHAVEDEGREE_C',
				'labelValue' => 'At least one parent has a degree.',
				'type' => 'bool',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'audited' => false, // true or false
				'mass_update' => false, // true or false
				'duplicate_merge' => false, // true or false
				'reportable' => true, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
			),
			array(
				'name' => 'seekingobjective_c',
				'label' => 'Objective',
				'labelValue' => 'Objective',
				'type' => 'enum',
				'module' => 'Leads',
				'help' => 'Select goal student is seeking',
				'comment' => 'Goal Student is seeking',
				'ext1' => 'account_changes_status_list', //maps to options - specify list name
				'default_value' => 'In_Review', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'constituent_ethnicity_c',
				'label' => 'LBL_CONSTITUENT_ETHNICITY',
				'labelValue' => 'Ethnicity',
				'type' => 'enum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'ext1' => 'constituent_ethnicity_list', //maps to options - specify list name
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'constituent_race_c',
				'labelValue' => 'Race',
				'label' => 'LBL_CONSTITUENT_RACE',
				'type' => 'multienum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'ext1' => 'constituent_race_ethnicity_list', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'county_c',
				'labelValue' => 'County',
				'label' => 'LBL_COUNTY_C',
				'type' => 'enum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'ext1' => 'county_c_0', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'career_interest_c',
				'labelValue' => 'Career Interest',
				'label' => 'LBL_CAREER_INTEREST_C',
				'type' => 'enum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'ext1' => 'industry_dom', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'level_of_interest_c',
				'labelValue' => 'Level of Interest in JCCC',
				'label' => 'LBL_LEVEL_OF_INTEREST_C',
				'type' => 'enum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'ext1' => 'level_of_interest_c_list', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'major_c',
				'labelValue' => 'Majors',
				'label' => 'LBL_MAJORS_C',
				'type' => 'varchar',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'grad_month_c',
				'label' => 'LBL_GRAD_MONTH_C',
				'type' => 'enum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'ext1' => 'grad_month_c_list', //maps to options - specify list name
				'default_value' => 'December', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
		    array(
		        'name' => 'grad_year_c',
		        'label' => 'LBL_GRAD_YEAR_C',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => false,
				),
		    ),
			array(
				'name' => 'levad_veteran_status_c',
				'label' => 'LBL_LEVAD_VETERAN_STATUS',
				'labelValue' => 'Veteran Status',
				'type' => 'multienum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'ext1' => 'levad_veteran_status_list', //maps to options - specify list name
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'jccc_start_term_c',
				'labelValue' => 'JCCC Start Term',
				'label' => 'LBL_JCCC_START_TERM_C',
				'type' => 'enum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'ext1' => 'jccc_start_term_c_list', //maps to options - specify list name
				'default_value' => 'UNKNOWN', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
		    array(
		        'name' => 'parent_1_address_c',
		        'label' => 'LBL_PARENT_1_ADDRESS',
				'labelValue' => 'Parent 1',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_address_city_c',
		        'label' => 'LBL_PARENT_1_ADDRESS_CITY',
				'labelValue' => 'Parent 1 City',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_address_county_c',
		        'label' => 'LBL_PARENT_1_ADDRESS_COUNTRY',
				'labelValue' => 'Parent 1 City',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_address_postalcode_c',
		        'label' => 'LBL_PARENT_1_ADDRESS_POSTALCODE_C',
				'labelValue' => 'Parent 1 PostalCode',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 20,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_address_state_c',
		        'label' => 'LBL_PARENT_1_ADDRESS_STATE_C',
				'labelValue' => 'Parent 1 State',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_email_c',
		        'label' => 'LBL_PARENT_1_EMAIL_C',
				'labelValue' => 'Parent 1 Email',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_first_name_c',
		        'label' => 'LBL_PARENT_1_FIRST_NAME_C',
				'labelValue' => 'Parent 1 First Name',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_last_name_c',
		        'label' => 'LBL_PARENT_1_LAST_NAME_C',
				'labelValue' => 'Parent 1 Last Name',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_1_phone_c',
		        'label' => 'LBL_PARENT_1_PHONE_C',
				'labelValue' => 'Parent 1 Phone',
		        'type' => 'Phone',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),

		    array(
		        'name' => 'parent_2_address_city_c',
		        'label' => 'LBL_PARENT_2_ADDRESS_CITY',
				'labelValue' => 'Parent 2 City',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_address_county_c',
		        'label' => 'LBL_PARENT_2_ADDRESS_COUNTRY',
				'labelValue' => 'Parent 2 City',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_address_postalcode_c',
		        'label' => 'LBL_PARENT_2_ADDRESS_POSTALCODE_C',
				'labelValue' => 'Parent 2 PostalCode',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 20,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_address_state_c',
		        'label' => 'LBL_PARENT_2_ADDRESS_STATE_C',
				'labelValue' => 'Parent 2 State',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 100,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_email_c',
		        'label' => 'LBL_PARENT_2_EMAIL_C',
				'labelValue' => 'Parent 2 Email',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_first_name_c',
		        'label' => 'LBL_PARENT_2_FIRST_NAME_C',
				'labelValue' => 'Parent 2 First Name',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_last_name_c',
		        'label' => 'LBL_PARENT_2_LAST_NAME_C',
				'labelValue' => 'Parent 2 Last Name',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'parent_2_phone_c',
		        'label' => 'LBL_PARENT_1_PHONE_C',
				'labelValue' => 'Parent 1 Phone',
		        'type' => 'Phone',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),

			// Contacts
			array(
				'name' => 'business_email_c',
				'vname' => 'LBL_BUSINESS_EMAIL_C',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => 'Field is automatically filled with the Business Address by the JCCC_EmailAddress classes',
				'comment' => 'Business Address',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'false', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'source' => 'custom_fields',
				'massupdate' => false,
				'comments' => 'Business Address',
				'duplicate_merge' => 'disabled',
				'duplicate_merge_dom_value' => '0',
				'merge_filter' => 'disabled',
				'full_text_search' => array (
					'enabled' => '0',
					'boost' => '1',
					'searchable' => false,
				),
				'calculated' => false,
				'dependency' => 'equal(1,2)',
			),
			array(
				'name' => 'personal_email_c',
				'vname' => 'LBL_PERSONAL_EMAIL_C',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => 'Field is automatically filled with the Personal Address by the JCCC_EmailAddress classes',
				'comment' => 'Personal Address',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'false', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'source' => 'custom_fields',
				'massupdate' => false,
				'comments' => 'Personal Address',
				'duplicate_merge' => 'disabled',
				'duplicate_merge_dom_value' => '0',
				'merge_filter' => 'disabled',
				'full_text_search' => array (
					'enabled' => '0',
					'boost' => '1',
					'searchable' => false,
				),
				'calculated' => false,
				'dependency' => 'equal(1,2)',				
			),
			array(
				'name' => 'school_email_c',
				'vname' => 'LBL_SCHOOL_EMAIL_C',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => 'Field is automatically filled with the School Address by the JCCC_EmailAddress classes',
				'comment' => 'School Address',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => true, // true or false
				'importable' => 'false', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'source' => 'custom_fields',
				'massupdate' => false,
				'comments' => 'School Address',
				'duplicate_merge' => 'disabled',
				'duplicate_merge_dom_value' => '0',
				'merge_filter' => 'disabled',
				'full_text_search' => array (
					'enabled' => '0',
					'boost' => '1',
					'searchable' => false,
				),
				'calculated' => false,
				'dependency' => 'equal(true,false)',
			),
			array(
				'name' => 'constituent_race_c',
				'label' => 'LBL_CONSTITUENT_RACE',
				'type' => 'multienum',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'ext1' => 'constituent_race_ethnicity_list', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'constituent_type_c',
				'label' => 'LBL_CONSTITUENT_TYPE',
				'type' => 'multienum',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'ext1' => 'zz_contact_type_list', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => true, // true or false
				'dependency' => '',
			),
			array(
				'name' => 'county_c',
				'label' => 'LBL_COUNTY_C',
				'type' => 'enum',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'ext1' => 'county_c_0', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
				'dependency' => '',
				'visibility_grid' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),
			array(
				'name' => 'middle_initial_c',
				'label' => 'LBL_MIDDLE_INITIAL',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),
			array(
				'name' => 'constituent_id_c',
				'label' => 'LBL_CONSTITUENT_ID',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 20,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),

			array(
				'name' => 'other_address_type_c',
				'label' => 'LBL_OTHER_ADDRESS_TYPE',
				'type' => 'enum',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'ext1' => 'address_type_list', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => true, // true or false
				'labelValue' => 'Other Address Type',
				'dependency' => '',
				'visibility_grid' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),
			array(
				'name' => 'prev_last_names_c',
				'label' => 'LBL_PREV_LAST_NAMES',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'enforced'  => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),
			array(
				'name' => 'primary_address_type_c',
				'label' => 'LBL_PRIMARY_ADDRESS_TYPE',
				'type' => 'enum',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'ext1' => 'address_type_list', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'primary_phone_type_c',
				'label' => 'LBL_PRIMARY_PHONE_TYPE',
				'type' => 'enum',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'ext1' => 'phone_type_list', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => true, // true or false
				'labelValue' => 'Primary Phone Type',
				'dependency' => '',
				'visibility_grid' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),				
			),
			array(
				'name' => 'secondary_phone_type_c',
				'label' => 'LBL_SECONDARY_PHONE_TYPE',
				'type' => 'enum',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'ext1' => 'phone_type_list', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => true, // true or false
				'labelValue' => 'Secondary Phone Type',
				'dependency' => '',
				'visibility_grid' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),				
			),
			array(
				'name' => 'student_user_name_c',
				'label' => 'LBL_STUDENT_USER_NAME',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'enforced'  => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),
			array(
				'name' => 'suffix_c',
				'label' => 'LBL_SUFFIX',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'enforced'  => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),
			array(
				'name' => 'do_not_mail_c',
				'labelValue' => 'Do Not Mail',
				'label' => 'LBL_DO_NOT_MAIL_C',
				'type' => 'bool',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'organization_relationship_c',
				'labelValue' => 'Account Relationship',
				'label' => 'LBL_ACCOUNT_RELATIONSHIP',
				'type' => 'enum',
				'max_size' => 100,
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'ext1' => 'organization_relationship_list', //maps to options - specify list name

			),
			array(
				'name' => 'levad_suffix_c',
				'label' => 'LBL_LEVAD_SUFFIX',
				'type' => 'varchar',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),

			array(
				'name' => 'base_rate',
				'label' => 'LBL_CURRENCY_RATE',
				'type' => 'decimal',
				'module' => 'Contacts',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 26,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => true, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),

			// Leads
			array(
				'name' => 'do_not_mail_c',
				'label' => 'LBL_DO_NOT_MAIL',
				'type' => 'bool',
				'module' => 'Leads',
				'default_value' => false, // true or false
				'help' => '',
				'comment' => '',
				'audited' => false, // true or false
				'mass_update' => false, // true or false
				'duplicate_merge' => false, // true or false
				'reportable' => true, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'enforced' => 'false',
				'dependency' => '',
			),
			array(
				'name' => 'levad_suffix_c',
				'label' => 'LBL_LEVAD_SUFFIX',
				'type' => 'varchar',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),
			array(
				'name' => 'middle_initial_c',
				'label' => 'LBL_MIDDLE_INITIAL',
				'type' => 'varchar',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),
			array(
				'name' => 'other_address_type_c',
				'label' => 'LBL_OTHER_ADDRESS_TYPE',
				'type' => 'enum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'ext1' => 'address_type_list', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => true, // true or false
				'labelValue' => 'Other Address Type',
				'dependency' => '',
				'visibility_grid' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),
			array(
				'name' => 'other_lead_source_desc_c',
				'label' => 'LBL_OTHER_LEAD_SOURCE_DESC_C',
				'type' => 'varchar',
				'module' => 'Leads',
				'help' => 'Type Lead Source if Other is selected',
				'comment' => '',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
				'dependency' => 'equal($lead_source,"Other")',
			),
			array(
				'name' => 'prev_last_names_c',
				'label' => 'LBL_PREV_LAST_NAMES',
				'type' => 'varchar',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'max_size' => 255,
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'enforced'  => '',
				'dependency' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),
			),
			array(
				'name' => 'primary_address_type_c',
				'label' => 'LBL_PRIMARY_ADDRESS_TYPE',
				'type' => 'enum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'ext1' => 'address_type_list', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
			array(
				'name' => 'primary_phone_type_c',
				'label' => 'LBL_PRIMARY_PHONE_TYPE',
				'type' => 'enum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'ext1' => 'phone_type_list', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => true, // true or false
				'labelValue' => 'Primary Phone Type',
				'dependency' => '',
				'visibility_grid' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),				
			),
			array(
				'name' => 'secondary_phone_type_c',
				'label' => 'LBL_SECONDARY_PHONE_TYPE',
				'type' => 'enum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'ext1' => 'phone_type_list', //maps to options - specify list name
				'default_value' => '', //key of entry in specified list
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => true, // true or false
				'labelValue' => 'Secondary Phone Type',
				'dependency' => '',
				'visibility_grid' => '',
				'full_text_search' => array (
					'boost' => 1,
					'enabled' => true,
				),				
			),
			array(
				'name' => 'organization_relationship_c',
				'labelValue' => 'Account Relationship',
				'label' => 'LBL_ACCOUNT_RELATIONSHIP',
				'type' => 'enum',
				'max_size' => 100,
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'default_value' => '',
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false', 'required'
				'duplicate_merge' => false, // true or false
				'ext1' => 'organization_relationship_list', //maps to options - specify list name

			),
			array(
				'name' => 'constituent_gender_c',
				'label' => 'LBL_CONSTITUENT_GENDER',
				'labelValue' => 'Gender',
				'type' => 'enum',
				'module' => 'Leads',
				'help' => '',
				'comment' => '',
				'default' => 'N',
				'ext1' => 'constituent_gender_list', //maps to options - specify list name
				'mass_update' => false, // true or false
				'required' => false, // true or false
				'reportable' => true, // true or false
				'audited' => false, // true or false
				'importable' => 'true', // 'true', 'false' or 'required'
				'duplicate_merge' => false, // true or false
			),
		    array(
		        'name' => 'parent_2_address',
		        'label' => 'LBL_PARENT_2_ADDRESS',
				'labelValue' => 'Parent 2 Address',
		        'type' => 'varchar',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'max_size' => 255,
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),
		    array(
		        'name' => 'initial_mail_date_c',
		        'label' => 'LBL_INITIAL_MAIL_DATE_C',
				'labelValue' => 'Initial Mail Date',
		        'type' => 'date',
		        'module' => 'Leads',
		        'help' => '',
		        'comment' => '',
		        'default_value' => '',
		        'required' => false, // true or false
		        'reportable' => true, // true or false
		        'audited' => false, // true or false
		        'importable' => 'true', // 'true', 'false', 'required'
		        'duplicate_merge' => false, // true or false
				'enforced' => '',
				'dependency' => '',
		    ),

			// Tasks
			// N/a all might be relationships.
			
		),
    );

?>